Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ebay.redlasersdk
Class BarcodeTypes

    java.lang.Object
      com.ebay.redlasersdk.BarcodeTypes

    public class BarcodeTypes

extends java.lang.Object

This class defines the barcode types that the RedLaser SDK can recognize, and contains methods for enabling and disabling each type. The hints member of the BarcodeScanActivity is a class of this type; enable or disable types in that object as appropriate to tell the SDK what barcode types to scan for.

Field Summary
`static int` | `CODABAR`
`static int` | `CODE128`
`static int` | `CODE39`
`static int` | `CODE93`
`static int` | `DATAMATRIX`
`static int` | `EAN13`
`static int` | `EAN2`
`static int` | `EAN5`
`static int` | `EAN8`
`static int` | `GS1DATABAR`
`static int` | `GS1DATABAR_EXPANDED`
`static int` | `ITF`
`static int` | `NONE`
`static int` | `PDF417`
`static int` | `QRCODE`
`static int` | `RSS14`
`static int` | `UPCE`

Constructor Summary
`BarcodeTypes()`

Method Summary
`boolean` | `getCodabar()` Gets whether Codabar barcode type is enabled
`boolean` | `getCode128()` Gets whether Code128 barcode type is enabled.
`boolean` | `getCode39()` Gets whether Code39 barcode type is enabled.
`boolean` | `getCode93()` Gets whether Code93 barcode type is enabled.
`boolean` | `getDataMatrix()` Gets whether Data Matrix barcode type is enabled.
`boolean` | `getEan13()` Gets whether EAN13 barcode type is enabled.
`boolean` | `getEAN2()` Gets whether EAN-2 barcode type is enabled
`boolean` | `getEAN5()` Gets whether EAN-5 barcode type is enabled
`boolean` | `getEan8()` Gets whether EAN-8 barcode type is enabled.
`int` | `getEnabledTypes()` Returns all enabled barcode types OR'ed together.
`boolean` | `getGS1Databar()` Gets whether GS1 DataBar barcode type is enabled.
`boolean` | `getGS1DatabarExpanded()` Gets whether GS1 DataBar Expanded barcode type is enabled.
`boolean` | `getITF()` Gets whether ITF barcode type is enabled.
`boolean` | `getPDF417()` Gets whether PDF417 barcode type is enabled
`boolean` | `getQRCode()` Gets whether QRCode barcode type is enabled.
`boolean` | `getRSS14()` Gets whether the RSS14 barcode type is enabled.
`boolean` | `getSticky()` Gets whether StickyBits barcode type is enabled.
`boolean` | `getUpce()` Gets whether UPC-E barcode type is enabled.
`void` | `setCodabar(boolean arg)` Enable or disable Codabar barcode type.
`void` | `setCode128(boolean arg)` Enable or disable Code 128 barcode type.
`void` | `setCode39(boolean arg)` Enable or disable Code 39 barcode type.
`void` | `setCode93(boolean arg)` Enable or disable Code 93 barcode type.
`void` | `setDataMatrix(boolean arg)` Enable or disable Data Matrix barcode type.
`void` | `setEan13(boolean arg)` Enable or disable EAN-13 barcode type.
`void` | `setEan2(boolean arg)` Enable or disable EAN2 barcode type.
`void` | `setEan5(boolean arg)` Enable or disable EAN5 barcode type.
`void` | `setEan8(boolean arg)` Enable or disable EAN-8 barcode type.
`void` | `setEnabledTypes(int bitArray)` All-in-one method of setting barcode types.
`void` | `setGS1Databar(boolean arg)` Enable or disable GS1 Databar barcode type.
`void` | `setGS1DatabarExpanded(boolean arg)` Enable or disable GS1 Databar Expanded barcode type.
`void` | `setITF(boolean arg)` Enable or disable ITF barcode type.
`void` | `setPDF417(boolean arg)` Enable or disable PDF417 barcode type.
`void` | `setQRCode(boolean arg)` Enable or disable QR Code barcode type.
`void` | `setRSS14(boolean arg)` Enable or disable RSS14 barcode type.
`void` | `setSticky(boolean arg)` The StickyBits barcode type has been deprecated.
`void` | `setUpce(boolean arg)` Enable or disable UPC-E barcode type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final int NONE

See Also:
  Constant Field Values

### EAN13

    public static final int EAN13

See Also:
  Constant Field Values

### UPCE

    public static final int UPCE

See Also:
  Constant Field Values

### EAN8

    public static final int EAN8

See Also:
  Constant Field Values

### QRCODE

    public static final int QRCODE

See Also:
  Constant Field Values

### CODE128

    public static final int CODE128

See Also:
  Constant Field Values

### CODE39

    public static final int CODE39

See Also:
  Constant Field Values

### DATAMATRIX

    public static final int DATAMATRIX

See Also:
  Constant Field Values

### ITF

    public static final int ITF

See Also:
  Constant Field Values

### CODE93

    public static final int CODE93

See Also:
  Constant Field Values

### RSS14

    public static final int RSS14

See Also:
  Constant Field Values

### GS1DATABAR

    public static final int GS1DATABAR

See Also:
  Constant Field Values

### CODABAR

    public static final int CODABAR

See Also:
  Constant Field Values

### EAN5

    public static final int EAN5

See Also:
  Constant Field Values

### EAN2

    public static final int EAN2

See Also:
  Constant Field Values

### PDF417

    public static final int PDF417

See Also:
  Constant Field Values

### GS1DATABAR_EXPANDED

    public static final int GS1DATABAR_EXPANDED

See Also:
  Constant Field Values

Constructor Detail

### BarcodeTypes

    public BarcodeTypes()

Method Detail

### getEnabledTypes

    public int getEnabledTypes()

  Returns all enabled barcode types OR'ed together.

  Returns:
    A bitfield of all enabled barocde types.

### setEnabledTypes

    public void setEnabledTypes(int bitArray)

  All-in-one method of setting barcode types. To use, take the types you want to enable and OR them together.

### getUpce

    public boolean getUpce()

  Gets whether UPC-E barcode type is enabled. UPC-E barcodes are 8 digits long and are different from the more common UPC-A type. UPC-A, in turn, has been deprecated and replaced by EAN-13.

  Returns:
    TRUE if UPC-E barcodes are enabled.

### getEan8

    public boolean getEan8()

  Gets whether EAN-8 barcode type is enabled.

  Returns:
    TRUE if EAN-8 barcodes are enabled

### getEan13

    public boolean getEan13()

  Gets whether EAN13 barcode type is enabled. EAN-13 is a 13 digit fixed width barcode type that encodes GTIN-13 numbers. EAN-13 is a superset of UPC-A barcodes; to the scanner, every possible UPC-A barcode looks exactly like an EAN-13 barcode with a 0 as its first digit. This is why the SDK does not have a type for UPC-A barcodes; we consider all of them to be EAN-13 codes.

  Returns:
    TRUE if EAN-13 barcoes are enabled.

### getSticky

    public boolean getSticky()

  Gets whether StickyBits barcode type is enabled.

  Returns:
    TRUE if StickyBits barcodes are enabled. The StickyBits type has been deprecated as of the 3.1 SDK. The SDK will no longer recognize StickyBits barcodes and this method always returns false.

### getQRCode

    public boolean getQRCode()

  Gets whether QRCode barcode type is enabled.

  Returns:
    TRUE if QRCode barcodes are enabled.

### getCode128

    public boolean getCode128()

  Gets whether Code128 barcode type is enabled.

  Returns:
    TRUE if Code128 barcodes are enabled.

### getCode39

    public boolean getCode39()

  Gets whether Code39 barcode type is enabled.

  Returns:
    TRUE if Code39 barcodes are enabled.

### getCode93

    public boolean getCode93()

  Gets whether Code93 barcode type is enabled.

  Returns:
    TRUE if Code93 barcodes are enabled.

### getDataMatrix

    public boolean getDataMatrix()

  Gets whether Data Matrix barcode type is enabled.

  Returns:
    TRUE if Data Matrix barcodes are enabled.

### getRSS14

    public boolean getRSS14()

  Gets whether the RSS14 barcode type is enabled.

  Returns:
    TRUE if RSS14 barcodes are enabled. Note that RSS14 has been renamed to GS1 Databar by the GS1 organization. This is now a deprecated synonym for GS1 Databar.

### getGS1Databar

    public boolean getGS1Databar()

  Gets whether GS1 DataBar barcode type is enabled.

  Returns:
    TRUE if DataBar barcodes are enabled.

### getGS1DatabarExpanded

    public boolean getGS1DatabarExpanded()

  Gets whether GS1 DataBar Expanded barcode type is enabled.

  Returns:
    TRUE if DataBar Expanded barcodes are enabled.

### getITF

    public boolean getITF()

  Gets whether ITF barcode type is enabled.

  Returns:
    TRUE if ITF barcodes are enabled.

### getEAN5

    public boolean getEAN5()

  Gets whether EAN-5 barcode type is enabled

  Returns:
    TRUE if EAN-5 barcodes are enabled.

### getEAN2

    public boolean getEAN2()

  Gets whether EAN-2 barcode type is enabled

  Returns:
    TRUE if EAN-2 barcodes are enabled.

### getCodabar

    public boolean getCodabar()

  Gets whether Codabar barcode type is enabled

  Returns:
    TRUE if Codabar barcodes are enabled.

### getPDF417

    public boolean getPDF417()

  Gets whether PDF417 barcode type is enabled

  Returns:
    TRUE if PDF417 barcodes are enabled.

### setUpce

    public void setUpce(boolean arg)

  Enable or disable UPC-E barcode type. UPC-E barcodes are 8 digits long, and are different from the more common UPC-A barcode type. If you just want to enable 'UPC' barcodes, you most likely really want to enable the EAN-13 barcode type.

### setEan8

    public void setEan8(boolean arg)

  Enable or disable EAN-8 barcode type.

### setEan13

    public void setEan13(boolean arg)

  Enable or disable EAN-13 barcode type. EAN-13 barcodes are a superset of UPC-A barcodes. An EAN-13 barcode with a leading digit of 0 looks *exactly like* a UPC-A barcode. Since almost anyone using this family of barcodes needs to be able to handle GTIN-13 numbers, for simplicity the SDK always uses the EAN-13 type.

### setSticky

    public void setSticky(boolean arg)

  The StickyBits barcode type has been deprecated. This method does nothing.

### setQRCode

    public void setQRCode(boolean arg)

  Enable or disable QR Code barcode type.

### setCode128

    public void setCode128(boolean arg)

  Enable or disable Code 128 barcode type.

### setCode39

    public void setCode39(boolean arg)

  Enable or disable Code 39 barcode type.

### setCode93

    public void setCode93(boolean arg)

  Enable or disable Code 93 barcode type.

### setDataMatrix

    public void setDataMatrix(boolean arg)

  Enable or disable Data Matrix barcode type.

### setRSS14

    public void setRSS14(boolean arg)

  Enable or disable RSS14 barcode type. The GS1 organization renamed RSS14 to GS1 Databar; this method and setGS1Databar() return the same value; that is, RSS14 and Databar are treated as the same barcode type.

### setGS1Databar

    public void setGS1Databar(boolean arg)

  Enable or disable GS1 Databar barcode type. This includes GS1 Databar Omnidirectional, Truncated, Stacked, Stacked Omnidirectional, and Limited barcodes.

### setGS1DatabarExpanded

    public void setGS1DatabarExpanded(boolean arg)

  Enable or disable GS1 Databar Expanded barcode type. Separate from the GS1 Databar type because the Expanded type returns a a fully qualified AI string (starting with the "]e0" symbology identifier prefix) whereas the Databar type returns a raw GTIN number.

### setITF

    public void setITF(boolean arg)

  Enable or disable ITF barcode type.

### setEan5

    public void setEan5(boolean arg)

  Enable or disable EAN5 barcode type. This barcode type is usually used in associated barcodes.

### setEan2

    public void setEan2(boolean arg)

  Enable or disable EAN2 barcode type. This barcode type is usually used in associated barcodes.

### setCodabar

    public void setCodabar(boolean arg)

  Enable or disable Codabar barcode type.

### setPDF417

    public void setPDF417(boolean arg)

  Enable or disable PDF417 barcode type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 eBay Inc. All Rights Reserved.